package de.oaa.xxx.games.common.aufgaben;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class AufgabenList {

    private List<Aufgabe> aufgaben;
    private List<Sperre> sperren;
    private List<Strafe> strafen;
    private List<Finisher> finisher;

    public int size() {
        int size = 0;
        if (aufgaben != null) size += aufgaben.size();
        if (sperren != null) size += sperren.size();
        if (strafen != null) size += strafen.size();
        if (getFinisher() != null) size += getFinisher().size();
        return size;
    }
}
